# cjvt-srl-tagging
We'll be using mate-tools to perform SRL on Kres. 

## workspace
The tools require Java. 
See `./dockerfiles/python-java/README.md` for environment preparation. 

## mate-tools
Check out `./tools/srl-20131216/README.md`.  

## Scripts
Check all possible xml tags (that occur after the <body> tag.  
'cat F0006347.xml.parsed.xml | grep -A 999999999999 -e '<body>' | grep -o -e '<[^" "]*' | sort | uniq'

## Tools
* Parser for reading both `SSJ500k 2.1 TEI xml` and `Kres F....xml.parsed.xml"` files found in `./tools/parser/parser.py`.  

## Usage
```bash
$ ./dockerfiles/python-java`
$ make
# you should be inside a container now
$ make <option>
```


## Sources
* [1] (mate-tools) https://code.google.com/archive/p/mate-tools/
* [2] (benchmarking) https://github.com/clarinsi/bilateral-srl
* [3] (conll 2008 paper) http://www.aclweb.org/anthology/W08-2121.pdf
* [4] (format CoNLL 2009) https://wiki.ufal.ms.mff.cuni.cz/format-conll
